Bug 1273330 - NPE dialog shown when generating additional properties file
NPE dialog shown when generating additional properties file
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: ER5
: 6.2.0
Assigned To: Thomas Hauser
Dominik Hanak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 04:54 EDT by Dominik Hanak
Modified: 2015-11-04 04:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik Hanak 2015-10-20 04:54:22 EDT
Description of problem:
NPE error dialog risen when "Generate ... additional properties file" is pressed

Version-Release number of selected component (if applicable):
brms-6.2.0.ER4

How reproducible:
Install with Business Central datasource configuration and generate properties file

Steps to Reproduce:
1. Run installer
2. Perform Business Central DS configuration.
3. Finish installation
4. Click "Genererate installation script and addition..."

Actual results:
Error dialog is shown.

Expected results:
No error dialog is shown.

Additional info:
Properties file is created. I don't know from where did this NPE have emerged.
Comment 2 Dominik Hanak 2015-10-23 04:26:31 EDT
Looks like there is a problem emerging from this.

The file generated by this, is totally empty, which means 
auto installation can't be performed. 

Therefore I am setting severity to urgent as this BZ prevents auto-installation.
Comment 3 Thomas Hauser 2015-10-27 10:43:08 EDT
This error only occurs on the BRMS installer.
Comment 5 Thomas Hauser 2015-10-27 11:12:05 EDT
Fixed for ER5 builds and beyond.
Comment 6 Dominik Hanak 2015-11-04 04:32:01 EST
Generated file after installation is not empty and the auto-installation performed by it finishes successfully.

Verified in 6.2.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.